@rem copyright (c) 2004-2013 Kazuki Iwamoto http://www.maid.org/ iwm@maid.org
@rem
@rem Permission is hereby granted, free of charge, to any person obtaining
@rem a copy of this software and associated documentation files (the
@rem "Software"), to deal in the Software without restriction, including
@rem without limitation the rights to use, copy, modify, merge, publish,
@rem distribute, sublicense, and/or sell copies of the Software, and to
@rem permit persons to whom the Software is furnished to do so, subject to
@rem the following conditions:
@rem
@rem The above copyright notice and this permission notice shall be included
@rem in all copies or substantial portions of the Software.
@rem
@rem THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
@rem EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
@rem MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
@rem IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
@rem CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
@rem TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
@rem SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
if not exist cairo-1.12.16     7za x -so cairo-1.12.16.tar.xz      | 7za x -si -ttar
if not exist expat-2.1.0       7za x -so expat-2.1.0.tar.gz        | 7za x -si -ttar
if not exist fontconfig-2.10.2 7za x -so fontconfig-2.10.2.tar.bz2 | 7za x -si -ttar
if not exist freetype-2.5.0.1  7za x -so freetype-2.5.0.1.tar.bz2  | 7za x -si -ttar
if not exist harfbuzz-0.9.21   7za x -so harfbuzz-0.9.21.tar.bz2   | 7za x -si -ttar
if not exist iconvmlang-0.0.8  7za x -so iconvmlang-0.0.8.tar.gz   | 7za x -si -ttar
if not exist jpeg-9            7za x -so jpegsrc.v9.tar.gz         | 7za x -si -ttar
if not exist libffi-3.0.13     7za x -so libffi-3.0.13.tar.gz      | 7za x -si -ttar
if not exist libpng-1.6.6      7za x -so libpng-1.6.6.tar.xz       | 7za x -si -ttar
if not exist pixman-0.30.2     7za x -so pixman-0.30.2.tar.gz      | 7za x -si -ttar
if not exist tiff-4.0.3        7za x -so tiff-4.0.3.tar.gz         | 7za x -si -ttar
if not exist zlib-1.2.8        7za x -so zlib-1.2.8.tar.xz         | 7za x -si -ttar
if "%1"=="git" goto git
if "%1"=="giT" goto git
if "%1"=="gIt" goto git
if "%1"=="gIT" goto git
if "%1"=="Git" goto git
if "%1"=="GiT" goto git
if "%1"=="GIt" goto git
if "%1"=="GIT" goto git
if not exist atk-2.10.0        7za x -so atk-2.10.0.tar.xz        | 7za x -si -ttar
if not exist gdk-pixbuf-2.30.0 7za x -so gdk-pixbuf-2.30.0.tar.xz | 7za x -si -ttar
if not exist glib-2.38.0       7za x -so glib-2.38.0.tar.xz       | 7za x -si -ttar
if not exist pango-1.36.0      7za x -so pango-1.36.0.tar.xz      | 7za x -si -ttar
if exist "gtk+-3.10.0.tar.xz" if not exist gtk-3.10.0 7za x -so "gtk+-3.10.0.tar.xz" | 7za x -si -ttar
if exist "gtk+-3.10.0" ren "gtk+-3.10.0" gtk-3.10.0
goto final
:git
if exist atk        (cd atk        & call git pull & cd ..) else (call git clone  git://git.gnome.org/atk        atk)
if exist gdk-pixbuf (cd gdk-pixbuf & call git pull & cd ..) else (call git clone  git://git.gnome.org/gdk-pixbuf gdk-pixbuf)
if exist glib       (cd glib       & call git pull & cd ..) else (call git clone  git://git.gnome.org/glib       glib)
if exist gtk        (cd gtk        & call git pull & cd ..) else (call git clone "git://git.gnome.org/gtk+"      gtk)
if exist pango      (cd pango      & call git pull & cd ..) else (call git clone  git://git.gnome.org/pango      pango)
:final
